Class CppSettings

Declaration :

- C++ : class CppSettings : public UmlSettings
- Java : final class CppSettings extends UmlSettings

This class manages settings concerning C++, configured through
the 'Generation settings' dialog.
This class may be defined as a 'singleton', but I prefer to use static
members allowing to just write 'CppSettings::member' rather than
'CppSettings::instance()->member' or other long sentence like this.

Artifact : CppSettings

Operation useDefaults

Declaration :

- Uml : static, + useDefaults() : bool
- C++ : public: static bool useDefaults()
- Java : public static boolean useDefaults()

returns TRUE when the created C++ objects are initialized
with the default declaration/definition

Operation set_UseDefaults

Declaration :

- Uml : static, + set_UseDefaults(in y : bool) : bool, exceptions : RuntimeException
- C++ : public: static bool set_UseDefaults(bool y)
- Java : public static void set_UseDefaults(boolean y) throws RuntimeException

if y is TRUE the future created C++ objects will be initialized
with the default declaration/definition
On error : return FALSE in C++, produce a RuntimeException in Java

Operation type

Declaration :

- Uml : static, + type(in s : string) : string
- C++ : public: static QCString type(QCString s)
- Java : public static String type(String s)

returns the C++ type corresponding to the 'UML' type given in
argument, as it is configured in the first 'Generation settings'
dialog's tab

Operation set_Type

Declaration :

- Uml : static, + set_Type(in s : string, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_Type(QCString s, QCString v)
- Java : public static void set_Type(String s, String v) throws RuntimeException

set the C++ type corresponding to the 'UML' type given in
argument, as it is configured in the first 'Generation settings'
dialog's tab
On error : return FALSE in C++, produce a RuntimeException in Java

Operation umlType

Declaration :

- Uml : static, + umlType(in s : string) : string
- C++ : public: static QCString umlType(QCString s)
- Java : public static String umlType(String s)

reverse of the Type() operation, returns the 'UML' type corresponding
to the C++ type given in argument

Operation relationAttributeStereotype

Declaration :

- Uml : static, + relationAttributeStereotype(in s : string) : string
- C++ : public: static QCString relationAttributeStereotype(QCString s)
- Java : public static String relationAttributeStereotype(String s)

returns the C++ stereotype corresponding to the 'UML' stereotype given
in argument

Operation set_RelationAttributeStereotype

Declaration :

- Uml : static, + set_RelationAttributeStereotype(in s : string, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_RelationAttributeStereotype(QCString s, QCString v)
- Java : public static void set_RelationAttributeStereotype(String s, String v) throws RuntimeException

set the C++ stereotype corresponding to the 'UML' stereotype given
in argument
On error : return FALSE in C++, produce a RuntimeException in Java

Operation relationAttributeUmlStereotype

Declaration :

- Uml : static, + relationAttributeUmlStereotype(in s : string) : string
- C++ : public: static QCString relationAttributeUmlStereotype(QCString s)
- Java : public static String relationAttributeUmlStereotype(String s)

reverse of the RelationAttributeStereotype() operation, returns the 'UML'
stereotype corresponding to the C++ one given in argument

Operation classStereotype

Declaration :

- Uml : static, + classStereotype(in s : string) : string
- C++ : public: static QCString classStereotype(QCString s)
- Java : public static String classStereotype(String s)

returns the C++ stereotype corresponding to the 'UML' stereotype given
in argument

Operation set_ClassStereotype

Declaration :

- Uml : static, + set_ClassStereotype(in s : string, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_ClassStereotype(QCString s, QCString v)
- Java : public static void set_ClassStereotype(String s, String v) throws RuntimeException

set the C++ stereotype corresponding to the 'UML' stereotype given
in argument
On error : return FALSE in C++, produce a RuntimeException in Java

Operation classUmlStereotype

Declaration :

- Uml : static, + classUmlStereotype(in s : string) : string
- C++ : public: static QCString classUmlStereotype(QCString s)
- Java : public static String classUmlStereotype(String s)

reverse of the ClassStereotype() operation, returns the 'UML'
stereotype corresponding to the C++ one given in argument

Operation include

Declaration :

- Uml : static, + include(in s : string) : string
- C++ : public: static QCString include(QCString s)
- Java : public static String include(String s)

returns the #include or other form specified in the last
'Generation settings' tab for the C++ type given in argument.

Operation set_Include

Declaration :

- Uml : static, + set_Include(in s : string, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_Include(QCString s, QCString v)
- Java : public static void set_Include(String s, String v) throws RuntimeException

set the #include or other form specified in the last
'Generation settings' tab for the C++ type given in argument.
On error : return FALSE in C++, produce a RuntimeException in Java

Operation rootDir

Declaration :

- Uml : static, + rootDir() : string
- C++ : public: static QCString rootDir()
- Java : public static String rootDir()

returns the 'root' directory

Operation set_RootDir

Declaration :

- Uml : static, + set_RootDir(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_RootDir(QCString v)
- Java : public static void set_RootDir(String v) throws RuntimeException

set the 'root' directory
On error : return FALSE in C++, produce a RuntimeException in Java

Operation headerContent

Declaration :

- Uml : static, + headerContent() : string
- C++ : public: static QCString headerContent()
- Java : public static String headerContent()

returns the default header file content

Operation set_HeaderContent

Declaration :

- Uml : static, + set_HeaderContent(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_HeaderContent(QCString v)
- Java : public static void set_HeaderContent(String v) throws RuntimeException

set the default header file content
On error : return FALSE in C++, produce a RuntimeException in Java

Operation sourceContent

Declaration :

- Uml : static, + sourceContent() : string
- C++ : public: static QCString sourceContent()
- Java : public static String sourceContent()

returns the default source file content

Operation set_SourceContent

Declaration :

- Uml : static, + set_SourceContent(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_SourceContent(QCString v)
- Java : public static void set_SourceContent(String v) throws RuntimeException

set the default source file content
On error : return FALSE in C++, produce a RuntimeException in Java

Operation headerExtension

Declaration :

- Uml : static, + headerExtension() : string
- C++ : public: static QCString headerExtension()
- Java : public static String headerExtension()

returns the extension of the header files produced by the
C++ code generator

Operation set_HeaderExtension

Declaration :

- Uml : static, + set_HeaderExtension(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_HeaderExtension(QCString v)
- Java : public static void set_HeaderExtension(String v) throws RuntimeException

set the extension of the header files produced by the
C++ code generator
On error : return FALSE in C++, produce a RuntimeException in Java

Operation sourceExtension

Declaration :

- Uml : static, + sourceExtension() : string
- C++ : public: static QCString sourceExtension()
- Java : public static String sourceExtension()

returns the extension of the source files produced by the
C++ code generator

Operation set_SourceExtension

Declaration :

- Uml : static, + set_SourceExtension(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_SourceExtension(QCString v)
- Java : public static void set_SourceExtension(String v) throws RuntimeException

set the extension of the source files produced by the
C++ code generator
On error : return FALSE in C++, produce a RuntimeException in Java

Operation includeWithPath

Declaration :

- Uml : static, + includeWithPath() : bool
- C++ : public: static bool includeWithPath()
- Java : public static boolean includeWithPath()

indicates to the code generator if the #include may specify
the path of just the file's name

Operation set_IncludeWithPath

Declaration :

- Uml : static, + set_IncludeWithPath(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: static bool set_IncludeWithPath(bool v)
- Java : public static void set_IncludeWithPath(boolean v) throws RuntimeException

to indicates to the code generator if the #include may specify
the path of just the file's name
On error : return FALSE in C++, produce a RuntimeException in Java

Operation isRelativePath

Declaration :

- Uml : static, + isRelativePath() : bool
- C++ : public: static bool isRelativePath()
- Java : public static boolean isRelativePath()

return if a relative path must be used when the path
must be generated in the produced #includes

Operation set_IsRelativePath

Declaration :

- Uml : static, + set_IsRelativePath(in v : bool) : bool
- C++ : public: static bool set_IsRelativePath(bool v)
- Java : public static void set_IsRelativePath(boolean v)

set if a relative path must be used when the path
must be generated in the produced #includes
On error : return FALSE in C++, produce a RuntimeException in Java

Operation isRootRelativePath

Declaration :

- Uml : static, + isRootRelativePath() : bool
- C++ : public: static bool isRootRelativePath()
- Java : public static boolean isRootRelativePath()

return if a path relative to the project root must be used
when the path must be generated in the produced #includes

Operation set_IsRootRelativePath

Declaration :

- Uml : static, + set_IsRootRelativePath(in v : bool) : bool
- C++ : public: static bool set_IsRootRelativePath(bool v)
- Java : public static void set_IsRootRelativePath(boolean v)

set if a relative to the project root path must be used
when the path must be generated in the produced #includes
On error : return FALSE in C++, produce a RuntimeException in Java

Operation isForceNamespacePrefixGeneration

Declaration :

- Uml : static, + isForceNamespacePrefixGeneration() : bool
- C++ : public: static bool isForceNamespacePrefixGeneration()
- Java : public static boolean isForceNamespacePrefixGeneration()

return if the namespace prefix must be
always generated before class's names

Operation set_IsForceNamespacePrefixGeneration

Declaration :

- Uml : static, + set_IsForceNamespacePrefixGeneration(in v : bool) : bool
- C++ : public: static bool set_IsForceNamespacePrefixGeneration(bool v)
- Java : public static void set_IsForceNamespacePrefixGeneration(boolean v)

set if the namespace prefix must be always generated before class's names
On error : return FALSE in C++, produce a RuntimeException in Java

Operation isGenerateJavadocStyleComment

Declaration :

- Uml : static, + isGenerateJavadocStyleComment() : bool
- C++ : public: static bool isGenerateJavadocStyleComment()
- Java : public static boolean isGenerateJavadocStyleComment()

return if generate Javadoc style comment

Operation set_IsGenerateJavadocStyleComment

Declaration :

- Uml : static, + set_IsGenerateJavadocStyleComment(in v : bool) : bool
- C++ : public: static bool set_IsGenerateJavadocStyleComment(bool v)
- Java : public static void set_IsGenerateJavadocStyleComment(boolean v)

set if generate Javadoc style comment
On error : return FALSE in C++, produce a RuntimeException in Java

Operation enumIn

Declaration :

- Uml : static, + enumIn() : string
- C++ : public: static const QCString & enumIn()
- Java : public static String enumIn()

returns the default operation 'in' parameter specification
in case its type is an enum

Operation set_EnumIn

Declaration :

- Uml : static, + set_EnumIn(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_EnumIn(QCString v)
- Java : public static void set_EnumIn(String v) throws RuntimeException

set the default operation 'in' parameter specification
in case its type is an enum
On error : return FALSE in C++, produce a RuntimeException in Java

Operation enumOut

Declaration :

- Uml : static, + enumOut() : string
- C++ : public: static const QCString & enumOut()
- Java : public static String enumOut()

returns the default operation 'out' parameter specification
in case its type is an enum

Operation set_EnumOut

Declaration :

- Uml : static, + set_EnumOut(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_EnumOut(QCString v)
- Java : public static void set_EnumOut(String v) throws RuntimeException

set the default operation 'out' parameter specification
in case its type is an enum
On error : return FALSE in C++, produce a RuntimeException in Java

Operation enumInout

Declaration :

- Uml : static, + enumInout() : string
- C++ : public: static const QCString & enumInout()
- Java : public static String enumInout()

returns the default operation 'inout' parameter specification
in case its type is an enum

Operation set_EnumInout

Declaration :

- Uml : static, + set_EnumInout(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_EnumInout(QCString v)
- Java : public static void set_EnumInout(String v) throws RuntimeException

set the default operation 'inout' parameter specification
in case its type is an enum
On error : return FALSE in C++, produce a RuntimeException in Java

Operation enumReturn

Declaration :

- Uml : static, + enumReturn() : string
- C++ : public: static QCString enumReturn()
- Java : public static String enumReturn()

return the default operation value type form

Operation set_EnumReturn

Declaration :

- Uml : static, + set_EnumReturn(in v : string) : bool
- C++ : public: static bool set_EnumReturn(QCString v)
- Java : public static void set_EnumReturn(String v)

set the default operation value type form
On error : return FALSE in C++, produce a RuntimeException in Java

Operation in

Declaration :

- Uml : static, + in() : string
- C++ : public: static const QCString & in()
- Java : public static String in()

returns the default operation 'in' parameter specification
in case its type is not an enum or a type specified in the
first 'Generation settings' tab

Operation set_In

Declaration :

- Uml : static, + set_In(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_In(QCString v)
- Java : public static void set_In(String v) throws RuntimeException

set the default operation 'in' parameter specification
in case its type is not an enum or a type specified in the
first 'Generation settings' tab
On error : return FALSE in C++, produce a RuntimeException in Java

Operation out

Declaration :

- Uml : static, + out() : string
- C++ : public: static const QCString & out()
- Java : public static String out()

returns the default operation 'out' parameter specification
in case its type is not an enum or a type specified in the
first 'Generation settings' tab

Operation set_Out

Declaration :

- Uml : static, + set_Out(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_Out(QCString v)
- Java : public static void set_Out(String v) throws RuntimeException

set the default operation 'out' parameter specification
in case its type is not an enum or a type specified in the
first 'Generation settings' tab
On error : return FALSE in C++, produce a RuntimeException in Java

Operation inout

Declaration :

- Uml : static, + inout() : string
- C++ : public: static const QCString & inout()
- Java : public static String inout()

returns the default operation 'inout' parameter specification
in case its type is not an enum or a type specified in the
first 'Generation settings' tab

Operation set_Inout

Declaration :

- Uml : static, + set_Inout(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_Inout(QCString v)
- Java : public static void set_Inout(String v) throws RuntimeException

set the default operation 'inout' parameter specification
in case its type is not an enum or a type specified in the
first 'Generation settings' tab
On error : return FALSE in C++, produce a RuntimeException in Java

Operation Return

Declaration :

- Uml : static, + Return() : string
- C++ : public: static QCString Return()
- Java : public static String Return()

return the default operation value type form

Operation set_Return

Declaration :

- Uml : static, + set_Return(in v : string) : bool
- C++ : public: static bool set_Return(QCString v)
- Java : public static void set_Return(String v)

set the default operation value type form
On error : return FALSE in C++, produce a RuntimeException in Java

Operation classDecl

Declaration :

- Uml : static, + classDecl() : string
- C++ : public: static const QCString & classDecl()
- Java : public static String classDecl()

returns the default definition of a class

Operation set_ClassDecl

Declaration :

- Uml : static, + set_ClassDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_ClassDecl(QCString v)
- Java : public static void set_ClassDecl(String v) throws RuntimeException

set the default definition of a class
On error : return FALSE in C++, produce a RuntimeException in Java

Operation externalClassDecl

Declaration :

- Uml : static, + externalClassDecl() : string
- C++ : public: static const QCString & externalClassDecl()
- Java : public static String externalClassDecl()

returns the default specification for an 'external' class

Operation set_ExternalClassDecl

Declaration :

- Uml : static, + set_ExternalClassDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_ExternalClassDecl(QCString v)
- Java : public static void set_ExternalClassDecl(String v) throws RuntimeException

set the default specification for an 'external' class
On error : return FALSE in C++, produce a RuntimeException in Java

Operation structDecl

Declaration :

- Uml : static, + structDecl() : string
- C++ : public: static const QCString & structDecl()
- Java : public static String structDecl()

returns the default definition of a struct

Operation set_StructDecl

Declaration :

- Uml : static, + set_StructDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_StructDecl(QCString v)
- Java : public static void set_StructDecl(String v) throws RuntimeException

set the default definition of a struct
On error : return FALSE in C++, produce a RuntimeException in Java

Operation unionDecl

Declaration :

- Uml : static, + unionDecl() : string
- C++ : public: static const QCString & unionDecl()
- Java : public static String unionDecl()

returns the default definition of an union

Operation set_UnionDecl

Declaration :

- Uml : static, + set_UnionDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_UnionDecl(QCString v)
- Java : public static void set_UnionDecl(String v) throws RuntimeException

set the default definition of an union
On error : return FALSE in C++, produce a RuntimeException in Java

Operation enumDecl

Declaration :

- Uml : static, + enumDecl() : string
- C++ : public: static const QCString & enumDecl()
- Java : public static String enumDecl()

returns the default definition of an enum

Operation set_EnumDecl

Declaration :

- Uml : static, + set_EnumDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_EnumDecl(QCString v)
- Java : public static void set_EnumDecl(String v) throws RuntimeException

set the default definition of an enum
On error : return FALSE in C++, produce a RuntimeException in Java

Operation typedefDecl

Declaration :

- Uml : static, + typedefDecl() : string
- C++ : public: static const QCString & typedefDecl()
- Java : public static String typedefDecl()

returns the default definition of a typedef

Operation set_TypedefDecl

Declaration :

- Uml : static, + set_TypedefDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_TypedefDecl(QCString v)
- Java : public static void set_TypedefDecl(String v) throws RuntimeException

set the default definition of a typedef
On error : return FALSE in C++, produce a RuntimeException in Java

Operation attributeDecl

Declaration :

- Uml : static, + attributeDecl(in multiplicity : str) : string
- C++ : public: static const QCString & attributeDecl(const char * multiplicity)
- Java : public static String attributeDecl(String multiplicity)

returns the default definition of an attribute depending on the multiplicity

Operation set_AttributeDecl

Declaration :

- Uml : static, + set_AttributeDecl(in multiplicity : str, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_AttributeDecl(const char * multiplicity, QCString v)
- Java : public static void set_AttributeDecl(String multiplicity, String v) throws RuntimeException

set the default definition of an attribute
On error : return FALSE in C++, produce a RuntimeException in Java

Operation enumItemDecl

Declaration :

- Uml : static, + enumItemDecl() : string
- C++ : public: static const QCString & enumItemDecl()
- Java : public static String enumItemDecl()

returns the default definition of an enumeration item

Operation set_EnumItemDecl

Declaration :

- Uml : static, + set_EnumItemDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_EnumItemDecl(QCString v)
- Java : public static void set_EnumItemDecl(String v) throws RuntimeException

set the default definition of an enumeration item
On error : return FALSE in C++, produce a RuntimeException in Java

Operation relationDecl

Declaration :

- Uml : static, + relationDecl(in by_value : bool, in multiplicity : str) : string
- C++ : public: static const QCString & relationDecl(bool by_value, const char * multiplicity)
- Java : public static String relationDecl(boolean by_value, String multiplicity)

returns the default definition of a relation depending on it is an
aggregation by value or not and the multiplicity, given in argument.

Operation set_RelationDecl

Declaration :

- Uml : static, + set_RelationDecl(in by_value : bool, in multiplicity : str, in v : str) : bool, exceptions : RuntimeException
- C++ : public: static bool set_RelationDecl(bool by_value, const char * multiplicity, const char * v)
- Java : public static void set_RelationDecl(boolean by_value, String multiplicity, String v) throws RuntimeException

set the default definition of a relation depending on it is an
aggregation by value or not and the multiplicity, given in argument.
On error : return FALSE in C++, produce a RuntimeException in Java

Operation operationDecl

Declaration :

- Uml : static, + operationDecl() : string
- C++ : public: static const QCString & operationDecl()
- Java : public static String operationDecl()

returns the default declaration of an operation

Operation set_OperationDecl

Declaration :

- Uml : static, + set_OperationDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_OperationDecl(QCString v)
- Java : public static void set_OperationDecl(String v) throws RuntimeException

set the default declaration of an operation
On error : return FALSE in C++, produce a RuntimeException in Java

Operation operationDef

Declaration :

- Uml : static, + operationDef() : string
- C++ : public: static const QCString & operationDef()
- Java : public static String operationDef()

returns the default definition of an operation

Operation set_OperationDef

Declaration :

- Uml : static, + set_OperationDef(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_OperationDef(QCString v)
- Java : public static void set_OperationDef(String v) throws RuntimeException

set the default definition of an operation
On error : return FALSE in C++, produce a RuntimeException in Java

Operation operationForceThrow

Declaration :

- Uml : static, + operationForceThrow() : bool
- C++ : public: static bool operationForceThrow()
- Java : public static boolean operationForceThrow()

return TRUE if the operations profile must contain 'throw()'
when the operations does not have exception

Operation set_OperationForceThrow

Declaration :

- Uml : static, + set_OperationForceThrow(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: static bool set_OperationForceThrow(bool v)
- Java : public static void set_OperationForceThrow(boolean v) throws RuntimeException

set if the operations profile must contain 'throw()'
when the operations does not have exception
On error : return FALSE in C++, produce a RuntimeException in Java

Operation getVisibility

Declaration :

- Uml : static, + getVisibility() : aVisibility
- C++ : public: static aVisibility getVisibility()
- Java : public static aVisibility getVisibility()

returns the default visibility of a 'get' operation generated
through the attribute and relation 'add get operation' menu

Operation set_GetVisibility

Declaration :

- Uml : static, + set_GetVisibility(in v : aVisibility) : bool, exceptions : RuntimeException
- C++ : public: static bool set_GetVisibility(aVisibility v)
- Java : public static void set_GetVisibility(aVisibility v) throws RuntimeException

set the default visibility of a 'get' operation generated
through the attribute and relation 'add get operation' menu
On error : return FALSE in C++, produce a RuntimeException in Java

Operation getName

Declaration :

- Uml : static, + getName() : string
- C++ : public: static const QCString & getName()
- Java : public static String getName()

returns the default name of a 'get' operation generated
through the attribute and relation 'add get operation' menu

Operation set_GetName

Declaration :

- Uml : static, + set_GetName(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_GetName(QCString v)
- Java : public static void set_GetName(String v) throws RuntimeException

set the default name of a 'get' operation generated
through the attribute and relation 'add get operation' menu
On error : return FALSE in C++, produce a RuntimeException in Java

Operation isGetInline

Declaration :

- Uml : static, + isGetInline() : bool
- C++ : public: static bool isGetInline()
- Java : public static boolean isGetInline()

returns if a 'get' operation generated through the attribute
and relation 'add get operation' menu is inline by default

Operation set_IsGetInline

Declaration :

- Uml : static, + set_IsGetInline(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: static bool set_IsGetInline(bool v)
- Java : public static void set_IsGetInline(boolean v) throws RuntimeException

set if a 'get' operation generated through the attribute
and relation 'add get operation' menu is inline by default
On error : return FALSE in C++, produce a RuntimeException in Java

Operation isGetConst

Declaration :

- Uml : static, + isGetConst() : bool
- C++ : public: static bool isGetConst()
- Java : public static boolean isGetConst()

returns if a 'get' operation generated through the attribute
and relation 'add get operation' menu is const by default

Operation set_IsGetConst

Declaration :

- Uml : static, + set_IsGetConst(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: static bool set_IsGetConst(bool v)
- Java : public static void set_IsGetConst(boolean v) throws RuntimeException

set if a 'get' operation generated through the attribute
and relation 'add get operation' menu is const by default
On error : return FALSE in C++, produce a RuntimeException in Java

Operation isGetValueConst

Declaration :

- Uml : static, + isGetValueConst() : bool
- C++ : public: static bool isGetValueConst()
- Java : public static boolean isGetValueConst()

returns if the value returned by a 'get' operation generated through
the attribute and relation 'add get operation' menu is const by default

Operation set_IsGetValueConst

Declaration :

- Uml : static, + set_IsGetValueConst(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: static bool set_IsGetValueConst(bool v)
- Java : public static void set_IsGetValueConst(boolean v) throws RuntimeException

set if the value returned by a 'get' operation generated through
the attribute and relation 'add get operation' menu is const by default
On error : return FALSE in C++, produce a RuntimeException in Java

Operation setVisibility

Declaration :

- Uml : static, + setVisibility() : aVisibility
- C++ : public: static aVisibility setVisibility()
- Java : public static aVisibility setVisibility()

returns the default visibility of a 'set' operation generated
through the attribute and relation 'add set operation' menu

Operation set_SetVisibility

Declaration :

- Uml : static, + set_SetVisibility(in v : aVisibility) : bool, exceptions : RuntimeException
- C++ : public: static bool set_SetVisibility(aVisibility v)
- Java : public static void set_SetVisibility(aVisibility v) throws RuntimeException

set the default visibility of a 'set' operation generated
through the attribute and relation 'add set operation' menu
On error : return FALSE in C++, produce a RuntimeException in Java

Operation setName

Declaration :

- Uml : static, + setName() : string
- C++ : public: static const QCString & setName()
- Java : public static String setName()

returns the default name of a 'set' operation generated
through the attribute and relation 'add set operation' menu

Operation set_SetName

Declaration :

- Uml : static, + set_SetName(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_SetName(QCString v)
- Java : public static void set_SetName(String v) throws RuntimeException

set the default name of a 'set' operation generated
through the attribute and relation 'add set operation' menu
On error : return FALSE in C++, produce a RuntimeException in Java

Operation isSetInline

Declaration :

- Uml : static, + isSetInline() : bool
- C++ : public: static bool isSetInline()
- Java : public static boolean isSetInline()

returns if a 'set' operation generated through the attribute
and relation 'add set operation' menu is inline by default

Operation set_IsSetInline

Declaration :

- Uml : static, + set_IsSetInline(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: static bool set_IsSetInline(bool v)
- Java : public static void set_IsSetInline(boolean v) throws RuntimeException

set if a 'set' operation generated through the attribute
and relation 'add set operation' menu is inline by default
On error : return FALSE in C++, produce a RuntimeException in Java

Operation isSetParamConst

Declaration :

- Uml : static, + isSetParamConst() : bool
- C++ : public: static bool isSetParamConst()
- Java : public static boolean isSetParamConst()

returns if the parameters of a 'set' operation generated through the
attribute and relation 'add set operation' menu are const by default

Operation set_IsSetParamConst

Declaration :

- Uml : static, + set_IsSetParamConst(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: static bool set_IsSetParamConst(bool v)
- Java : public static void set_IsSetParamConst(boolean v) throws RuntimeException

set if the parameters of a 'set' operation generated through the
attribute and relation 'add set operation' menu are const by default
On error : return FALSE in C++, produce a RuntimeException in Java

Operation isSetParamRef

Declaration :

- Uml : static, + isSetParamRef() : bool
- C++ : public: static bool isSetParamRef()
- Java : public static boolean isSetParamRef()

return if the parameter of a 'set' operation generated through the
attribute and relation 'add set operation' menu is a reference by default

Operation set_IsSetParamRef

Declaration :

- Uml : static, + set_IsSetParamRef(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: static bool set_IsSetParamRef(bool v)
- Java : public static void set_IsSetParamRef(boolean v) throws RuntimeException

set if the parameter of a 'set' operation generated through the
attribute and relation 'add set operation' menu is a reference by default
On error : return FALSE in C++, produce a RuntimeException in Java

Operation CppSettings

Declaration :

- Uml : - CppSettings() :
- C++ : private: CppSettings()
- Java : private CppSettings()

never called !

Attribut _defined

Declaration :

- Uml : static, - _defined : bool
- C++ : private: static bool _defined
- Java : private static boolean _defined

Attribut _root

Declaration :

- Uml : static, - _root : string
- C++ : private: static QCString _root
- Java : private static String _root

Attribut _in

Declaration :

- Uml : static, - _in : string
- C++ : private: static QCString _in
- Java : private static String _in

Attribut _out

Declaration :

- Uml : static, - _out : string
- C++ : private: static QCString _out
- Java : private static String _out

Attribut _inout

Declaration :

- Uml : static, - _inout : string
- C++ : private: static QCString _inout
- Java : private static String _inout

Attribut _return

Declaration :

- Uml : static, - _return : string
- C++ : private: static QCString _return
- Java : private static String _return

Attribut _enum_in

Declaration :

- Uml : static, - _enum_in : string
- C++ : private: static QCString _enum_in
- Java : private static String _enum_in

Attribut _enum_out

Declaration :

- Uml : static, - _enum_out : string
- C++ : private: static QCString _enum_out
- Java : private static String _enum_out

Attribut _enum_inout

Declaration :

- Uml : static, - _enum_inout : string
- C++ : private: static QCString _enum_inout
- Java : private static String _enum_inout

Attribut _enum_return

Declaration :

- Uml : static, - _enum_return : string
- C++ : private: static QCString _enum_return
- Java : private static String _enum_return

Attribut _class_decl

Declaration :

- Uml : static, - _class_decl : string
- C++ : private: static QCString _class_decl
- Java : private static String _class_decl

Attribut _external_class_decl

Declaration :

- Uml : static, - _external_class_decl : string
- C++ : private: static QCString _external_class_decl
- Java : private static String _external_class_decl

Attribut _struct_decl

Declaration :

- Uml : static, - _struct_decl : string
- C++ : private: static QCString _struct_decl
- Java : private static String _struct_decl

Attribut _union_decl

Declaration :

- Uml : static, - _union_decl : string
- C++ : private: static QCString _union_decl
- Java : private static String _union_decl

Attribut _enum_decl

Declaration :

- Uml : static, - _enum_decl : string
- C++ : private: static QCString _enum_decl
- Java : private static String _enum_decl

Attribut _typedef_decl

Declaration :

- Uml : static, - _typedef_decl : string
- C++ : private: static QCString _typedef_decl
- Java : private static String _typedef_decl

Attribut _attr_decl

Declaration :

- Uml : static, - _attr_decl : string
- C++ : private: static QCString _attr_decl[3/*multiplicity*/]
- Java : private static String _attr_decl[/*multiplicity*/]

Attribut _enum_item_decl

Declaration :

- Uml : static, - _enum_item_decl : string
- C++ : private: static QCString _enum_item_decl
- Java : private static String _enum_item_decl

Attribut _rel_decl

Declaration :

- Uml : static, - _rel_decl : string
- C++ : private: static QCString _rel_decl[2/*relation kind*/][3/*multiplicity*/]
- Java : private static String[][] _rel_decl

Attribut _oper_decl

Declaration :

- Uml : static, - _oper_decl : string
- C++ : private: static QCString _oper_decl
- Java : private static String _oper_decl

Attribut _oper_def

Declaration :

- Uml : static, - _oper_def : string
- C++ : private: static QCString _oper_def
- Java : private static String _oper_def

Attribut _force_oper_throw

Declaration :

- Uml : static, - _force_oper_throw : bool
- C++ : private: static bool _force_oper_throw
- Java : private static boolean _force_oper_throw

Relation _get_visibility (<directional aggregation by value>)

Declaration :

- Uml : static, - _get_visibility : aVisibility
- C++ : private: static aVisibility _get_visibility
- Java : private static aVisibility _get_visibility

Attribut _get_name

Declaration :

- Uml : static, - _get_name : string
- C++ : private: static QCString _get_name
- Java : private static String _get_name

Attribut _is_get_inline

Declaration :

- Uml : static, - _is_get_inline : bool
- C++ : private: static bool _is_get_inline
- Java : private static boolean _is_get_inline

Attribut _is_get_const

Declaration :

- Uml : static, - _is_get_const : bool
- C++ : private: static bool _is_get_const
- Java : private static boolean _is_get_const

Attribut _is_get_value_const

Declaration :

- Uml : static, - _is_get_value_const : bool
- C++ : private: static bool _is_get_value_const
- Java : private static boolean _is_get_value_const

Relation _set_visibility (<directional aggregation by value>)

Declaration :

- Uml : static, - _set_visibility : aVisibility
- C++ : private: static aVisibility _set_visibility
- Java : private static aVisibility _set_visibility

Attribut _set_name

Declaration :

- Uml : static, - _set_name : string
- C++ : private: static QCString _set_name
- Java : private static String _set_name

Attribut _is_set_inline

Declaration :

- Uml : static, - _is_set_inline : bool
- C++ : private: static bool _is_set_inline
- Java : private static boolean _is_set_inline

Attribut _is_set_param_const

Declaration :

- Uml : static, - _is_set_param_const : bool
- C++ : private: static bool _is_set_param_const
- Java : private static boolean _is_set_param_const

Attribut _is_set_param_ref

Declaration :

- Uml : static, - _is_set_param_ref : bool
- C++ : private: static bool _is_set_param_ref
- Java : private static boolean _is_set_param_ref

Attribut _h_content

Declaration :

- Uml : static, - _h_content : string
- C++ : private: static QCString _h_content
- Java : private static String _h_content

Attribut _src_content

Declaration :

- Uml : static, - _src_content : string
- C++ : private: static QCString _src_content
- Java : private static String _src_content

Attribut _h_ext

Declaration :

- Uml : static, - _h_ext : string
- C++ : private: static QCString _h_ext
- Java : private static String _h_ext

Attribut _src_ext

Declaration :

- Uml : static, - _src_ext : string
- C++ : private: static QCString _src_ext
- Java : private static String _src_ext

Attribut _incl_with_path

Declaration :

- Uml : static, - _incl_with_path : bool
- C++ : private: static bool _incl_with_path
- Java : private static boolean _incl_with_path

Attribut _is_relative_path

Declaration :

- Uml : static, - _is_relative_path : bool
- C++ : private: static bool _is_relative_path
- Java : private static boolean _is_relative_path

Attribut _is_root_relative_path

Declaration :

- Uml : static, - _is_root_relative_path : bool
- C++ : private: static bool _is_root_relative_path
- Java : private static boolean _is_root_relative_path

Attribut _is_force_namespace_gen

Declaration :

- Uml : static, - _is_force_namespace_gen : bool
- C++ : private: static bool _is_force_namespace_gen
- Java : private static boolean _is_force_namespace_gen

Attribut _is_generate_javadoc_comment

Declaration :

- Uml : static, - _is_generate_javadoc_comment : bool
- C++ : private: static bool _is_generate_javadoc_comment
- Java : private static boolean _is_generate_javadoc_comment

Attribut _map_includes

Declaration :

- Uml : static, - _map_includes : string
- C++ : private: static QDict<QCString> _map_includes
- Java : private static Hashtable _map_includes

Operation read_

Declaration :

- Uml : static, # read_() : void
- C++ : protected: static void read_()
- Java : protected static void read_()

internal, do NOT use it

Operation read_if_needed_

Declaration :

- Uml : static, # read_if_needed_() : void
- C++ : protected: static void read_if_needed_()
- Java : protected static void read_if_needed_()

internal, do NOT use it

All public operations : artifactDescription , attributeDecl , attributeDescription , classDecl , classDescription , classStereotype , classUmlStereotype , enumDecl , enumIn , enumInout , enumItemDecl , enumOut , enumReturn , externalClassDecl , getName , getVisibility , headerContent , headerExtension , in , include , includeWithPath , inout , isForceNamespacePrefixGeneration , isGenerateJavadocStyleComment , isGetConst , isGetInline , isGetValueConst , isRelativePath , isRootRelativePath , isSetInline , isSetParamConst , isSetParamRef , operationDecl , operationDef , operationDescription , operationForceThrow , out , relationAttributeStereotype , relationAttributeUmlStereotype , relationDecl , relationDescription , Return , rootDir , set_ArtifactDescription , set_AttributeDecl , set_AttributeDescription , set_ClassDecl , set_ClassDescription , set_ClassStereotype , set_EnumDecl , set_EnumIn , set_EnumInout , set_EnumItemDecl , set_EnumOut , set_EnumReturn , set_ExternalClassDecl , set_GetName , set_GetVisibility , set_HeaderContent , set_HeaderExtension , set_In , set_Include , set_IncludeWithPath , set_Inout , set_IsForceNamespacePrefixGeneration , set_IsGenerateJavadocStyleComment , set_IsGetConst , set_IsGetInline , set_IsGetValueConst , set_IsRelativePath , set_IsRootRelativePath , set_IsSetInline , set_IsSetParamConst , set_IsSetParamRef , set_OperationDecl , set_OperationDef , set_OperationDescription , set_OperationForceThrow , set_Out , set_RelationAttributeStereotype , set_RelationDecl , set_RelationDescription , set_Return , set_RootDir , set_SetName , set_SetVisibility , set_SourceContent , set_SourceExtension , set_StructDecl , set_Type , set_TypedefDecl , set_UmlGetName , set_UmlSetName , set_UnionDecl , set_UseDefaults , setName , setVisibility , sourceContent , sourceExtension , structDecl , type , typedefDecl , umlGetName , umlSetName , umlType , unionDecl , useDefaults